ApiApps
Rotate Segment Secret
Rotate the signing secret of a connected Segment source.
Rotate the signing secret of a connected Segment source.
Returns a new secret (shown only once); update the Segment Webhook destination to match. Deliveries signed with the previous secret are rejected once rotation completes.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
integration_id*Integration Id
Format
uuidHeader Parameters
X-API-Key?string|null
Response Body
application/json
application/json
curl -X POST "https://api.levainlabs.com/api/v1/apps/segment/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate-secret"{
"integration_id": "string",
"ingest_url": "string",
"signing_secret": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}